import { Component, ViewChild, Injector, Output, EventEmitter } from '@angular/core';
import { ModalDirective } from 'ngx-bootstrap';
import { GetRouteStopForViewDto, RouteStopDto } from '@shared/service-proxies/service-proxies';
import { AppComponentBase } from '@shared/common/app-component-base';

@Component({
    selector: 'viewRouteStopModal',
    templateUrl: './view-routeStop-modal.component.html'
})
export class ViewRouteStopModalComponent extends AppComponentBase {

    @ViewChild('createOrEditModal', { static: true }) modal: ModalDirective;
    @Output() modalSave: EventEmitter<any> = new EventEmitter<any>();

    active = false;
    saving = false;

    item: GetRouteStopForViewDto;


    constructor(
        injector: Injector
    ) {
        super(injector);
        this.item = new GetRouteStopForViewDto();
        this.item.routeStop = new RouteStopDto();
    }

    show(item: GetRouteStopForViewDto): void {
        this.item = item;
        this.active = true;
        this.modal.show();
    }

    close(): void {
        this.active = false;
        this.modal.hide();
    }
}
